Cards & Wallets · Risk Management · Optimize Verify

Purge

The Transaction Purge API allows a list of one or more transactions to be purged from our database, removing all PII (Personally Identifiable Information) normally used in conjunction with GDPR and the UK’s DPA (Data Protection Act). This will affect how transactions are viewed in the Verify Portal, however a footprint will remain to indicate the transaction’s original presence. Transactions can also be purged manually via the Verify Portal.

This API only purges processed transactions. For best performance it is recommended to purge <= 5000 transactions at a time.

Please note your Verify merchant account can be configured to automatically purge transactions after 6 months to 4 years from the initial date of transaction.

API response examples

Partial success
EndpointDefinition
POST /optimizeverify/transactions/purge
Request body
{
    "TransactionKeys": [
      "a10d38b6-cc75-4219-84ed-5f3dcb759d39",
      "dd1d329d-a5d4-4f94-991d-29abeb4d2666"
    ]
}
cURL
curl -X POST "{targetEnvironmentPath}/optimizeverify/transactions/purge" \
  -H "Authorization: Basic {base64(licenceKey:clientKey)}" \
  -H "Content-Type: application/json" \
  -d '{
    "TransactionKeys": [
      "a10d38b6-cc75-4219-84ed-5f3dcb759d39",
      "dd1d329d-a5d4-4f94-991d-29abeb4d2666"
    ]
}'
Response
HTTP/1.1 200

{
    "RequestTime": "2021-03-25T00:00:37.1090356Z",
    "ResponseTime": "2021-03-25T00:00:37.1270692Z",
    "RequestedCount": 2,
    "PurgedCount": 1,
    "NotFoundCount": 1,
    "NotFoundTransactionKeys": [
        "a10d38b6-cc75-4219-84ed-5f3dcb759d39"
    ]
}